# LIGO grid-mapfile manager (lgmm) configuration file

# Uuncomment a group selection list. The group selector may take one of
# two forms:
# A) For a simple list the user must be in each group (AND operation) in order
#    to be eligible to be in the grid-mapfile.
# B) For a list of lists the user (or other entity) must be in all groups of at
#    least one of the sub lists. I.e. membership is first defined using AND
#    operations acting on the elements of the sublist, and then these are
#    combined using OR operations.

# These group selectors are intended to be used for site-wide grid-mapfiles on the LDG.
#GROUPS = [ ['Communities:LVC:LSC:LDG:CIT:LDGCITUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGCITRobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:LHO:LDGLHOUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGLHORobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:LLO:LDGLLOUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGLLORobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:HAN:LDGHANUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGHANRobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:SYR:LDGSYRUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGSYRRobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:UWM:LDGUWMUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGUWMRobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:CDF:LDGCDFUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGCDFRobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:IUCAA:LDGIUCAAUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGIUCAARobotCerts'] ]
#GROUPS = [ ['Communities:LVC:LSC:LDG:KISTI:LDGKISTIUsers', 'Communities:LSCVirgoLIGOGroupMembers'],
#           ['LDGKISTIRobotCerts'] ]

# You may also configure your own list of groups to be used for
# special purpose grid-mapfiles. If you need more groups created
# send an email to rt-auth@ligo.org describing your needs.

# Uncomment one SITE. If the user has a specific username(s) for this
# site then it will be used. Otherwise, it will use the default usernames.
#
# If no SITE is defined then it will only use the default
# usernames. For a site-wide grid-mapfile you almost certainly want
# to uncomment the line for your site.

#SITE = 'cit'
#SITE = 'lho'
#SITE = 'llo'
#SITE = 'han'
#SITE = 'syr'
#SITE = 'uwm'
#SITE = 'cdf'
#SITE = 'iucaa'
#SITE = 'kisti'

# The ordered list of LDAP URLs to query. The first URL in the list will be
# queried and if there is an error connecting to the server then the next
# URL will be tried, and so on.
#
# You may want to put your local replica first in the list and
# then uncomment the line.

#LDAP_URLS = [ 'ldaps://ldap.ligo.org', 'ldaps://ldap.phys.uwm.edu' ]

# Uncomment to add a whitelist of approved mappings. Any mappings that
# collide with those from the central LDAP server will be considered
# authoritative. The whitelist file must be a properly formatted
# grid-mapfile. Use the absolute path for the file.
#WHITELIST = '/etc/grid-security/whitelist'

# Uncomment to use a blacklist file. Entries in the blacklist file will
# not be written into the grid-mapfile. Each line in the blacklist file
# can be a certificate subject in quotes (") like a standard grid-mapfile,
# a subject and login(s) like a standard grid-mapfile, or a single login
# or UNIX account name. If the line contains a subject then no entries with
# that subject will appear in the grid-mapfile. If the line contains only a
# UNIX account then no mappings to that account will appear.
# Use the absolute path for the file.
#BLACKLIST = '/etc/grid-security/blacklist'

# Uncomment to use a custom filter LDAP filter e.g.
#FILTER = '(x-LIGO-uid=*,detchar*)'
